RewriteEngine On  
RewriteRule ^/(css|img|js)/(.*) /$1/$2 [L]
#RewriteRule ^/(.*)/hoge.php/(.*) /hoge.php?foo=$1&foofoo=$2 [L]
RewriteRule ^/(.*\.php) /$1 [L]
RewriteRule ^/(.*)/(.*)/list(.*).html /$1/$2/index.html?pageID=$3 [E=SCRIPT_URL:/$1/$2/index.html,S=5]
RewriteRule ^/(.*)/list(.*).html /$1/index.html?pageID=$2 [E=SCRIPT_URL:/$1/index.html,S=4]
RewriteRule ^/list(.*).html /index.html?pageID=$1 [E=SCRIPT_URL:/index.html,S=3]
RewriteRule ^/(.*)/(.*)/info(.*).html /$1/$2/info.html?id=$3 [E=SCRIPT_URL:/$1/$2/info.html,S=2]
RewriteRule ^/(.*)/info(.*).html /$1/info.html?id=$2 [E=SCRIPT_URL:/$1/info.html,S=1]
RewriteRule ^/info(.*).html /info.html?id=$1 [E=SCRIPT_URL:/info.html]
RewriteRule ^/.*/.* /index.php [L]
RewriteRule ^/.* /index.php [L]
